
Katello - Bug #4756

Bad request errors are not properly displayed in the CLI

03/20/2014 06:23 PM - David Davis

Status: Duplicate   

Priority: Normal   

Assignee: David Davis   

Category: Hammer   

Target version: Katello Recycle Bin   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If you do the following in the code:

fail HttpErrors::BadRequest.new("This is an error")

 Then you get this output in the CLI:

Error: 400 Bad Request

 Even though the json has a valid error in it ("This is an error").

Related issues:

Is duplicate of Hammer CLI - Bug #5215: "bad request" exceptions and their me... Closed 04/16/2014

History

#1 - 03/21/2014 08:16 PM - Mike McCune

- Triaged set to Yes

#2 - 03/21/2014 08:20 PM - Mike McCune

- Triaged deleted (Yes)

#3 - 03/21/2014 09:45 PM - Mike McCune

- Assignee set to David Davis

- Triaged set to Yes

#4 - 08/18/2014 03:01 PM - David Davis

- Is duplicate of Bug #5215: "bad request" exceptions and their messages are not displayed to hammer user added

#5 - 08/18/2014 03:01 PM - David Davis

- Status changed from New to Duplicate

#6 - 08/22/2014 07:51 AM - Eric Helms

- translation missing: en.field_release set to 13

#7 - 03/21/2015 11:02 AM - Eric Helms

- translation missing: en.field_release deleted (13)

#8 - 07/08/2016 11:19 AM - Eric Helms

- translation missing: en.field_release set to 166
